<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:48 CET 2016 -->
<title>Canvas (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Canvas (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":42,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Button.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/CheckBox.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html" target="_top">Frames</a></li>
<li><a href="Canvas.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui</div>
<h2 title="Class Canvas" class="title">Class Canvas</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Canvas</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Button.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Button</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Dialog.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Dialog</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/FormItem.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">FormItem</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Grid</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Image.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Image</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/ListItem.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">ListItem</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/MatchStatementProcess.html" title="class in com.openbravo.test.integration.erp.gui.financial.receivablespayables.transactions">MatchStatementProcess</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Menu.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Menu</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBClassicPopUp.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">OBClassicPopUp</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBForm.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">OBForm</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBMessageBar.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">OBMessageBar</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBParameterWindow.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">OBParameterWindow</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBParameterWindowForm.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">OBParameterWindowForm</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">OBStandardView</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStatusBar.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">OBStatusBar</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/PopUpWindow.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">PopUpWindow</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/navigationbarcomponents/gui/RecentForm.html" title="class in com.openbravo.test.integration.erp.modules.client.application.navigationbarcomponents.gui">RecentForm</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/SelectorField.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">SelectorField</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/TabSet.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">TabSet</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">Canvas</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Executes actions on OpenbravoERP canvases built upon SmartClient user interface library.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>elopio</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#FORMAT_SMART_CLIENT_GET_LOCATOR">FORMAT_SMART_CLIENT_GET_LOCATOR</a></span></code>
<div class="block">Formatting string to locate the canvas.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#objectString">objectString</a></span></code>
<div class="block">JavaScript expression that can be evaluated to get a reference to the SmartClient GUI object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientLocator">smartClientLocator</a></span></code>
<div class="block">The canvas SmartClient locator.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#Canvas--">Canvas</a></span>()</code>
<div class="block">Class constructor.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#Canvas-java.lang.String-">Canvas</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;objectString)</code>
<div class="block">Class constructor.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#Canvas-java.lang.String-java.lang.Boolean-">Canvas</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;objectString,
      <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;waitForLoad)</code>
<div class="block">Class constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a href="javascript:show(32);">Deprecated Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#cleanSmartClientLocator-java.lang.String-">cleanSmartClientLocator</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;locator)</code>
<div class="block">Clean the SmartClient locator returned by SmartClient.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#click--">click</a></span>()</code>
<div class="block">Click the canvas.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#focus--">focus</a></span>()</code>
<div class="block">Set the focus in the canvas.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getAttribute-com.openbravo.test.integration.selenium.Attribute-">getAttribute</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/selenium/Attribute.html" title="enum in com.openbravo.test.integration.selenium">Attribute</a>&nbsp;attribute)</code>
<div class="block">Get the value of an attribute of the canvas.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getInformationForLog--">getInformationForLog</a></span>()</code>
<div class="block">Get information from the canvas, that will be added to the log.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getObjectString--">getObjectString</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getSmartClientLocator--">getSmartClientLocator</a></span>()</code>
<div class="block">Get the SmartClient locator of the canvas.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getText--">getText</a></span>()</code>
<div class="block">Get the text of the canvas.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getTitle--">getTitle</a></span>()</code>
<div class="block">Get the canvas title.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#hideMenuClick--">hideMenuClick</a></span>()</code>
<div class="block">Replaces canvas click for NavBar items.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isEnabled--">isEnabled</a></span>()</code>
<div class="block">Return true if the canvas is enabled.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isEnabledSmartClient--">isEnabledSmartClient</a></span>()</code>
<div class="block">Return true if the canvas is enabled using the smartclient functions</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isFocused--">isFocused</a></span>()</code>
<div class="block">Return true if the canvas has the focus.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isPresent--">isPresent</a></span>()</code>
<div class="block">Return true if the canvas is present.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isVisible--">isVisible</a></span>()</code>
<div class="block">Return true if the canvas is visible.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#pressDelete--">pressDelete</a></span>()</code>
<div class="block">Press the delete key on the canvas.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#pressEnter--">pressEnter</a></span>()</code>
<div class="block">Press the enter key on the canvas.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#pressTab--">pressTab</a></span>()</code>
<div class="block">Press the tab key on the canvas.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#scrollToBottom--">scrollToBottom</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#scrollToTop--">scrollToTop</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#setSmartClientLocator-java.lang.String-">setSmartClientLocator</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;smartClientLocator)</code>
<div class="block">Set the SmartClient Locator of the canvas.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#showMenuClick--">showMenuClick</a></span>()</code>
<div class="block">Replaces canvas click for NavBar items.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientBlur--">smartClientBlur</a></span>()</code>
<div class="block">Call the SmartClient blur function directly.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientClick--">smartClientClick</a></span>()</code>
<div class="block">Call the SmartClient click function directly.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientSetValue-java.lang.String-">smartClientSetValue</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Call the SmartClient click function directly.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#virtualClick--">virtualClick</a></span>()</code>
<div class="block">Set the focus in the canvas.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#waitUntilEnabled--">waitUntilEnabled</a></span>()</code>
<div class="block">Wait until the canvas is enabled.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#waitUntilLoaded--">waitUntilLoaded</a></span>()</code>
<div class="block">Waits until the canvas is loaded.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#waitUntilNotVisible--">waitUntilNotVisible</a></span>()</code>
<div class="block">Wait until the canvas is not visible.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#waitUntilVisible--">waitUntilVisible</a></span>()</code>
<div class="block">Wait until the canvas is visible.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="objectString">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>objectString</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> objectString</pre>
<div class="block">JavaScript expression that can be evaluated to get a reference to the SmartClient GUI object.
 
 This string that can be used with SeleniumSingleton.INSTANCE.getEval function to get the
 object. It allows us to directly call SmartClient functions defined for this object.</div>
</li>
</ul>
<a name="smartClientLocator">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>smartClientLocator</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> smartClientLocator</pre>
<div class="block">The canvas SmartClient locator. It allows us to execute actions on the object through Selenium.</div>
</li>
</ul>
<a name="FORMAT_SMART_CLIENT_GET_LOCATOR">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FORMAT_SMART_CLIENT_GET_LOCATOR</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> FORMAT_SMART_CLIENT_GET_LOCATOR</pre>
<div class="block">Formatting string to locate the canvas. The parameter is the object string.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../constant-values.html#com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Canvas.FORMAT_SMART_CLIENT_GET_LOCATOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Canvas-java.lang.String-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Canvas</h4>
<pre>public&nbsp;Canvas(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;objectString,
              <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;waitForLoad)</pre>
<div class="block">Class constructor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>objectString</code> - JavaScript expression that can be evaluated to get a reference to the SmartClient GUI
          object.</dd>
<dd><code>waitForLoad</code> - Set to true if it is required to wait until it is loaded</dd>
</dl>
</li>
</ul>
<a name="Canvas-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Canvas</h4>
<pre>public&nbsp;Canvas(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;objectString)</pre>
<div class="block">Class constructor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>objectString</code> - JavaScript expression that can be evaluated to get a reference to the SmartClient GUI
          object.</dd>
</dl>
</li>
</ul>
<a name="Canvas--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Canvas</h4>
<pre>public&nbsp;Canvas()</pre>
<div class="block">Class constructor.
 
 This constructor will just instantiate the canvas, but after this the canvas will not be ready
 to be used. It has to be initialized using the function setSmartClientLocator in order to be
 used with Selenium.
 
 This is an alternate way to access the SmartClient object, and should be used only if there is
 no way to get the object string. Always prefer to call the other constructor with the object
 string as a parameter, because it will set the SmartClient Locator. With this method the
 actions that require to call SmartClient functions and attributes directly will not be
 available.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setSmartClientLocator-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSmartClientLocator</h4>
<pre>public&nbsp;void&nbsp;setSmartClientLocator(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;smartClientLocator)</pre>
<div class="block">Set the SmartClient Locator of the canvas.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>smartClientLocator</code> - The SmartClient locator of the canvas.</dd>
</dl>
</li>
</ul>
<a name="getSmartClientLocator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSmartClientLocator</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getSmartClientLocator()</pre>
<div class="block">Get the SmartClient locator of the canvas.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the SmartClient locator of the canvas.</dd>
</dl>
</li>
</ul>
<a name="cleanSmartClientLocator-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cleanSmartClientLocator</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;cleanSmartClientLocator(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;locator)</pre>
<div class="block">Clean the SmartClient locator returned by SmartClient.
 
 XXX this function is required to workaround some problems on the locator that returns Smart
 Client:
 
 - When the element is not visible, it will return a negative index. In order to check if the
 element exists but is not visible, we need this index to be positive.
 
 - There is a bug when the text of the item has a slash, so the locator has to be properly
 escaped.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>locator</code> - The SmartClient locator of the canvas, as returned by SmartClient.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a cleaned locator to avoid the issues in SmartClient.</dd>
</dl>
</li>
</ul>
<a name="waitUntilLoaded--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>waitUntilLoaded</h4>
<pre>protected&nbsp;void&nbsp;waitUntilLoaded()</pre>
<div class="block">Waits until the canvas is loaded.</div>
</li>
</ul>
<a name="getInformationForLog--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInformationForLog</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getInformationForLog()</pre>
<div class="block">Get information from the canvas, that will be added to the log.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>information from the canvas.</dd>
</dl>
</li>
</ul>
<a name="isPresent--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPresent</h4>
<pre>public&nbsp;boolean&nbsp;isPresent()</pre>
<div class="block">Return true if the canvas is present.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the canvas is present. Otherwise, false.</dd>
</dl>
</li>
</ul>
<a name="isVisible--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isVisible</h4>
<pre>public&nbsp;boolean&nbsp;isVisible()</pre>
<div class="block">Return true if the canvas is visible.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the canvas is visible. Otherwise, false.</dd>
</dl>
</li>
</ul>
<a name="isEnabled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEnabled</h4>
<pre>public&nbsp;boolean&nbsp;isEnabled()</pre>
<div class="block">Return true if the canvas is enabled.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the canvas is enabled. Otherwise, false.</dd>
</dl>
</li>
</ul>
<a name="isEnabledSmartClient--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEnabledSmartClient</h4>
<pre>public&nbsp;boolean&nbsp;isEnabledSmartClient()</pre>
<div class="block">Return true if the canvas is enabled using the smartclient functions</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the canvas is enabled. Otherwise, false.</dd>
</dl>
</li>
</ul>
<a name="isFocused--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFocused</h4>
<pre>public&nbsp;boolean&nbsp;isFocused()</pre>
<div class="block">Return true if the canvas has the focus.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the canvas has the focus. Otherwise, false.</dd>
</dl>
</li>
</ul>
<a name="waitUntilVisible--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>waitUntilVisible</h4>
<pre>public&nbsp;void&nbsp;waitUntilVisible()</pre>
<div class="block">Wait until the canvas is visible.</div>
</li>
</ul>
<a name="waitUntilNotVisible--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>waitUntilNotVisible</h4>
<pre>public&nbsp;void&nbsp;waitUntilNotVisible()</pre>
<div class="block">Wait until the canvas is not visible.</div>
</li>
</ul>
<a name="waitUntilEnabled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>waitUntilEnabled</h4>
<pre>public&nbsp;void&nbsp;waitUntilEnabled()</pre>
<div class="block">Wait until the canvas is enabled.</div>
</li>
</ul>
<a name="focus--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>focus</h4>
<pre>public&nbsp;void&nbsp;focus()</pre>
<div class="block">Set the focus in the canvas.</div>
</li>
</ul>
<a name="click--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>click</h4>
<pre>public&nbsp;void&nbsp;click()</pre>
<div class="block">Click the canvas.</div>
</li>
</ul>
<a name="pressEnter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pressEnter</h4>
<pre>public&nbsp;void&nbsp;pressEnter()</pre>
<div class="block">Press the enter key on the canvas.</div>
</li>
</ul>
<a name="pressDelete--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pressDelete</h4>
<pre>public&nbsp;void&nbsp;pressDelete()</pre>
<div class="block">Press the delete key on the canvas.</div>
</li>
</ul>
<a name="pressTab--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pressTab</h4>
<pre>public&nbsp;void&nbsp;pressTab()</pre>
<div class="block">Press the tab key on the canvas.</div>
</li>
</ul>
<a name="getTitle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTitle</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getTitle()</pre>
<div class="block">Get the canvas title.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the canvas title.</dd>
</dl>
</li>
</ul>
<a name="getText--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getText</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getText()</pre>
<div class="block">Get the text of the canvas.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the text of the canvas.</dd>
</dl>
</li>
</ul>
<a name="getAttribute-com.openbravo.test.integration.selenium.Attribute-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAttribute</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getAttribute(<a href="../../../../../../../../../com/openbravo/test/integration/selenium/Attribute.html" title="enum in com.openbravo.test.integration.selenium">Attribute</a>&nbsp;attribute)</pre>
<div class="block">Get the value of an attribute of the canvas.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>attribute</code> - The attribute to get.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the attribute.</dd>
</dl>
</li>
</ul>
<a name="smartClientClick--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>smartClientClick</h4>
<pre>public&nbsp;void&nbsp;smartClientClick()</pre>
<div class="block">Call the SmartClient click function directly.
 
 XXX Avoid this function. It was added because:
 
 - The button that closes the form to switch back to the grid view is not working correctly. The
 form doesn't close.
 
 - The complete button has a different title than the displayed. See issue 17409 -
 https://issues.openbravo.com/view.php?id=17409
 
 - The button that closes the message was not working correctly. The buttons bar disappears and
 the message bar doesn't.</div>
</li>
</ul>
<a name="smartClientSetValue-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>smartClientSetValue</h4>
<pre>public&nbsp;void&nbsp;smartClientSetValue(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Call the SmartClient click function directly.
 
 XXX Avoid this function. It was added because:
 
 - The enter text in dates was not working correctly.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The value to set.</dd>
</dl>
</li>
</ul>
<a name="virtualClick--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>virtualClick</h4>
<pre>public&nbsp;void&nbsp;virtualClick()</pre>
<div class="block">Set the focus in the canvas.</div>
</li>
</ul>
<a name="smartClientBlur--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>smartClientBlur</h4>
<pre>public&nbsp;void&nbsp;smartClientBlur()</pre>
<div class="block">Call the SmartClient blur function directly.</div>
</li>
</ul>
<a name="showMenuClick--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showMenuClick</h4>
<pre>public&nbsp;void&nbsp;showMenuClick()</pre>
<div class="block">Replaces canvas click for NavBar items.</div>
</li>
</ul>
<a name="hideMenuClick--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hideMenuClick</h4>
<pre>public&nbsp;void&nbsp;hideMenuClick()</pre>
<div class="block">Replaces canvas click for NavBar items.</div>
</li>
</ul>
<a name="scrollToTop--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>scrollToTop</h4>
<pre>public&nbsp;void&nbsp;scrollToTop()</pre>
</li>
</ul>
<a name="scrollToBottom--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>scrollToBottom</h4>
<pre>public&nbsp;void&nbsp;scrollToBottom()</pre>
</li>
</ul>
<a name="getObjectString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getObjectString</h4>
<pre><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getObjectString()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Button.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/CheckBox.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html" target="_top">Frames</a></li>
<li><a href="Canvas.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
